<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>addAttacker()
: <a class="el" href="classCMap.html#a2ea7a54397f9c59ad71336e404a3742f">CMap</a>
</li>
<li>addTower()
: <a class="el" href="classCMap.html#aef9e55cf59ab4910a6038825b764d9f3">CMap</a>
</li>
<li>attack()
: <a class="el" href="classCArcher.html#a0cf04733e2e416705e83cb963a486811">CArcher</a>
, <a class="el" href="classCArtillery.html#a5ba90dd07f54e0aa4f30aea9d19fb784">CArtillery</a>
, <a class="el" href="classCAttacker.html#ab80d734314eeb349e86931d2d50289d9">CAttacker</a>
, <a class="el" href="classCHeavy.html#a3b2fe70331aa648035c8a80a7f791647">CHeavy</a>
, <a class="el" href="classCMage.html#a49df57d341e5e94d01ada32869ae3ac3">CMage</a>
, <a class="el" href="classCMap.html#a6c365e0f2fd6f5c368416157129f8039">CMap</a>
, <a class="el" href="classCMedic.html#a575d27ab551eda2d24c21ffd13d36992">CMedic</a>
, <a class="el" href="classCTower.html#a28666cdfbf94e1b025e2fe85595d9d96">CTower</a>
, <a class="el" href="classCWarrior.html#a3b0227bb1bbd06ee84d51f08a4c9cc6c">CWarrior</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>CAttacker()
: <a class="el" href="classCAttacker.html#a5173f06a05a13aaedbc922dfd5379ba8">CAttacker</a>
</li>
<li>clone()
: <a class="el" href="classCArcher.html#aa13f5cbb0983ccf2e4d8cb27c16b905b">CArcher</a>
, <a class="el" href="classCAttacker.html#abf388fe012f5703cd33ed2b17a0f8415">CAttacker</a>
, <a class="el" href="classCMage.html#a9e8bed8a2cb6e3b1e4eeb7989c0b6078">CMage</a>
, <a class="el" href="classCWarrior.html#a8e1892c0b2b01e8d89930b7a95df00a4">CWarrior</a>
</li>
<li>CMap()
: <a class="el" href="classCMap.html#a7ad71523562247ed2183e57eaed018e8">CMap</a>
</li>
<li>CMenuController()
: <a class="el" href="classCMenuController.html#a2d8c607ea3be11d74c41e6f07deba372">CMenuController</a>
</li>
<li>col()
: <a class="el" href="classCEntrance.html#ac48c62ffb0ce4c8d2380513f66534084">CEntrance</a>
, <a class="el" href="classCExit.html#a217a5b54be686f5328c5a13b601a90d6">CExit</a>
</li>
<li>CTower()
: <a class="el" href="classCTower.html#a8634f96b7e6985fac9ef1d3dbea46651">CTower</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>defend()
: <a class="el" href="classCAttacker.html#a82ee1f8ecbb8754f223c2eba3cf799a3">CAttacker</a>
, <a class="el" href="classCHeavy.html#aa0b1363684f510a1f0a735743cd00d38">CHeavy</a>
, <a class="el" href="classCMage.html#aebb9de3ef007b77e78813ab3f13d9751">CMage</a>
, <a class="el" href="classCMedic.html#ae8cd198501c3e3a45e950e35c35009f3">CMedic</a>
, <a class="el" href="classCTower.html#ad0ec399abc6a105f4e2743d65cb5d09c">CTower</a>
, <a class="el" href="classCWarrior.html#a3fcd73deb8667505e99395451e09361c">CWarrior</a>
</li>
<li>discover()
: <a class="el" href="classCEntity.html#a9ab2d129368e2d3acfec883129439e1c">CEntity</a>
, <a class="el" href="classCExit.html#a0a70f0306c2c94b6df3bdbf0f395e479">CExit</a>
, <a class="el" href="classCFreeSpace.html#a81540d81cabf08d842b9dafcff39ea07">CFreeSpace</a>
, <a class="el" href="classCPath.html#abb6e40a54bb901886ed51cd0739dd701">CPath</a>
</li>
<li>displaceTowers()
: <a class="el" href="classCMap.html#a1cfe216c9f40c5e1f3c52a0eee44c63c">CMap</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>findPaths()
: <a class="el" href="classCMap.html#abdfc1587418bbd8831a6531676546c84">CMap</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>getHp()
: <a class="el" href="classCAttacker.html#a2fda02cade366510afb500d22143b558">CAttacker</a>
, <a class="el" href="classCTower.html#af75495fa398d62acb73f336de801c402">CTower</a>
</li>
<li>getPath()
: <a class="el" href="classCEntrance.html#ae83395782a975cd21708d8113243f3b5">CEntrance</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>hasInRange()
: <a class="el" href="classCArcher.html#acddd397be7733c5bd58ab9067b2d5823">CArcher</a>
, <a class="el" href="classCArtillery.html#a6a09e0b4902b9a2cea04a356f97c0d5b">CArtillery</a>
, <a class="el" href="classCAttacker.html#ab80eeb5cfe0dc7ac9979a35a60cfb7c3">CAttacker</a>
, <a class="el" href="classCTower.html#a205833c18de6141f52342426bf0f0fbd">CTower</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>isPath()
: <a class="el" href="classCEntity.html#a5bedcc5d44f5b4a65d8abd8bc7766588">CEntity</a>
, <a class="el" href="classCPath.html#ae70ae5cacfe2d0dfe9095e581fe41a9c">CPath</a>
</li>
<li>isWall()
: <a class="el" href="classCMap.html#a1a9f22dff924fdc5ab2f32cca499ae78">CMap</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>load()
: <a class="el" href="structCConfig.html#aaf58e2a1d6b025a562e2751ae7e65499">CConfig</a>
</li>
<li>loadEntities()
: <a class="el" href="classCGame.html#a5d5fbebc71e7e6fa40bc329497a68e2b">CGame</a>
</li>
<li>loadFolder()
: <a class="el" href="classCMenu.html#a31c7dffc1ac1246900b4b4dde1cb303e">CMenu</a>
</li>
<li>loadGame()
: <a class="el" href="classCGame.html#a43cc1d9c7e2e841d91d4c107a27571c1">CGame</a>
</li>
<li>loadMap()
: <a class="el" href="classCMap.html#a81b1455b027bde5aec22ecb2cd043948">CMap</a>
</li>
<li>loadSavedGame()
: <a class="el" href="classCGame.html#a2dbbc13fbdf70a185d79b076f89499f4">CGame</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>middleLine()
: <a class="el" href="classCMenu.html#a5cd0faa7ac7f37b630d3eb3355262db9">CMenu</a>
</li>
<li>move()
: <a class="el" href="classCAttacker.html#ac99d568c2cdce5d0c35b42bf16d9302f">CAttacker</a>
, <a class="el" href="classCMap.html#af5e4fc1b61feccf74206750c707a4d6d">CMap</a>
</li>
<li>moveAndPrint()
: <a class="el" href="classCGame.html#a9b23c9dcdbfbf427d24297922f7eb4d9">CGame</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>nextMove()
: <a class="el" href="classCAttacker.html#ad3f22ead3302344cc23defe93994e6db">CAttacker</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>parseLine()
: <a class="el" href="classCGame.html#acd16ed32e3fb7df57fc7a65417a96c3b">CGame</a>
, <a class="el" href="classCMap.html#a2e2eee33b6c11437f24016c2a0cbe717">CMap</a>
</li>
<li>parseSave()
: <a class="el" href="classCGame.html#a07b1e4bfe98ede3ce94dfd102e3d5eff">CGame</a>
</li>
<li>pathToEnd()
: <a class="el" href="classCMap.html#aa164bc88913e4f4bf195cf5866d50ae1">CMap</a>
</li>
<li>play()
: <a class="el" href="classCGame.html#ad391dcddfc35c1d0a7ed37424b7d768e">CGame</a>
</li>
<li>playGame()
: <a class="el" href="classCMenu.html#adc5a810d4fa05da3f83f992542b0e76c">CMenu</a>
</li>
<li>position()
: <a class="el" href="classCExit.html#a71b8507caa187b7017a64657f462f2d8">CExit</a>
, <a class="el" href="classCTower.html#a682eee406b527e183153ca7b9ef74301">CTower</a>
</li>
<li>print()
: <a class="el" href="classCArcher.html#a8955f80c34fff42893b74b7260272ebf">CArcher</a>
, <a class="el" href="classCArtillery.html#a5508e816321378b930d519b46231302d">CArtillery</a>
, <a class="el" href="classCAttacker.html#a6887b2124aa6480e067bbf928a718142">CAttacker</a>
, <a class="el" href="classCExit.html#a235bbec316d6e9a5cfa3eb74e5df051a">CExit</a>
, <a class="el" href="classCFreeSpace.html#a401595ebeb913f6242a96244e62b8088">CFreeSpace</a>
, <a class="el" href="classCHeavy.html#aaf4ef6582f00d787290e6cbfe8f7452b">CHeavy</a>
, <a class="el" href="classCMage.html#a97bd0ca4177278b0273eb043a7f22f48">CMage</a>
, <a class="el" href="classCMedic.html#ab33d6bab0c29c4180b915e7f478f4ad1">CMedic</a>
, <a class="el" href="classCTower.html#a276726c55954b273f6b25e6ef749b01d">CTower</a>
, <a class="el" href="classCWall.html#af67e8a06f19ad815c484285cefe5086f">CWall</a>
, <a class="el" href="classCWarrior.html#a5f3eeb5629df5849210479f4546aeb43">CWarrior</a>
</li>
<li>printBorder()
: <a class="el" href="classCMenu.html#adc047ee1ef45b1ce2c1b1718eb5dac59">CMenu</a>
</li>
<li>printDetails()
: <a class="el" href="classCArcher.html#a75d02fd8d17cd797de726d6175331bbe">CArcher</a>
, <a class="el" href="classCArtillery.html#ac8bfde1a7b6645f026ac2bc612263cbc">CArtillery</a>
, <a class="el" href="classCAttacker.html#aa67f5bd7e030fc3b93b3f4e6891f0477">CAttacker</a>
, <a class="el" href="classCHeavy.html#aa40d8a34f4b6b402bf12b483f444c6d0">CHeavy</a>
, <a class="el" href="classCMage.html#a442c6f6c9486817a89f6a3a31524fb83">CMage</a>
, <a class="el" href="classCMedic.html#a7a42d9dd8c6da4bdc436806440ce6b96">CMedic</a>
, <a class="el" href="classCTower.html#a5d218d5d19849b04697699b17ba856e9">CTower</a>
, <a class="el" href="classCWarrior.html#a34b880b9b1734a83c7ea7dc5040ebe4e">CWarrior</a>
</li>
<li>printEmptyLine()
: <a class="el" href="classCMenu.html#a547f525ceec932b4ad056495725ec5c5">CMenu</a>
</li>
<li>printError()
: <a class="el" href="classCMenu.html#ab3957f935a8f7c9394521e9731e9194b">CMenu</a>
</li>
<li>printFolder()
: <a class="el" href="classCMenu.html#a4758e62ae038c08a95e6c86692b0865e">CMenu</a>
</li>
<li>printFolderMenu()
: <a class="el" href="classCMenu.html#aace1e821e272a338d37208d2580479f1">CMenu</a>
</li>
<li>printString()
: <a class="el" href="classCMenu.html#ab51557914817fb31b152b02f2719158e">CMenu</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>readInput()
: <a class="el" href="classCMenu.html#a9bb1df6a44815e4f39d7adcdb2cbaac2">CMenu</a>
</li>
<li>readNextMove()
: <a class="el" href="classCGame.html#a8abe1da5e4a2d2bb3eb1244a7d6522b5">CGame</a>
</li>
<li>readSymbol()
: <a class="el" href="classCMap.html#a0279edd8c7ac41c9f2d486d8c52363ef">CMap</a>
</li>
<li>resetSpeed()
: <a class="el" href="classCMap.html#a678015d1e44f663d9de647dd11441581">CMap</a>
</li>
<li>resetSpeedCnt()
: <a class="el" href="classCAttacker.html#a5d1bd8010d5f5628dd4a0bd8a973a3bb">CAttacker</a>
</li>
<li>row()
: <a class="el" href="classCExit.html#a6326bc9332022fce68f8ec0b847a9166">CExit</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>save()
: <a class="el" href="classCAttacker.html#abc8bae44906274f3340bc91858367ead">CAttacker</a>
, <a class="el" href="classCTower.html#ab6fce3e9fc4c2c3b57c0a8be35f6c055">CTower</a>
</li>
<li>saveAttackers()
: <a class="el" href="classCMap.html#ac26b13c84537f825a49154c4a5770adf">CMap</a>
</li>
<li>saveGame()
: <a class="el" href="classCGame.html#a94dd70176edcdc7b0cb16cf461c74652">CGame</a>
</li>
<li>saveScore()
: <a class="el" href="classCGame.html#acdb41532fb29eab0a25689e237d87d1e">CGame</a>
</li>
<li>saveTowers()
: <a class="el" href="classCMap.html#a65425056b43f3a075e3853633068df69">CMap</a>
</li>
<li>searchMapBFS()
: <a class="el" href="classCMap.html#a445c3a53ab00befbaf0311c6be138f0b">CMap</a>
</li>
<li>searchPath()
: <a class="el" href="classCMap.html#ad5fc08d1b96fb733afc7157b4c3474ab">CMap</a>
</li>
<li>selectOption()
: <a class="el" href="classCGamesMenu.html#a601b458383fb5a2cdb1015c3e0dc60ce">CGamesMenu</a>
, <a class="el" href="classCMainMenu.html#ad1b4408067b623c42349bad353abe7ae">CMainMenu</a>
, <a class="el" href="classCManualPage1.html#a57c86b90ed08e9db26a7abb019dc802f">CManualPage1</a>
, <a class="el" href="classCManualPage2.html#a26f2a6cc16bc56fe70b7e37677f920ba">CManualPage2</a>
, <a class="el" href="classCManualPage3.html#a8808b88b84d578c204d49dde0a8d7d18">CManualPage3</a>
, <a class="el" href="classCMenu.html#a99c5d916a13d9b537322760b0cc507bb">CMenu</a>
, <a class="el" href="classCNewMenu.html#a91c537695ea24439ffb6a90afda0c39d">CNewMenu</a>
</li>
<li>setHp()
: <a class="el" href="classCAttacker.html#ab8640dff4a1129c25c59af1f217995fb">CAttacker</a>
, <a class="el" href="classCTower.html#a19b4b2e8b3bee08db6c8c206a8616653">CTower</a>
</li>
<li>setPath()
: <a class="el" href="classCAttacker.html#a317e10be6678348685f76eca1aa2e67f">CAttacker</a>
</li>
<li>show()
: <a class="el" href="classCGamesMenu.html#a4ad33bb949fd5a9290db05919b13584e">CGamesMenu</a>
, <a class="el" href="classCLoser.html#a2cbf1408a416e2146777c88b9fbfbe11">CLoser</a>
, <a class="el" href="classCMainMenu.html#aeea674fbf980479789095f35f2ea5554">CMainMenu</a>
, <a class="el" href="classCManualPage1.html#a6aaa17721b2cd50101f8df462b1027bc">CManualPage1</a>
, <a class="el" href="classCManualPage2.html#a11527b21c43a1f471f3566276731d102">CManualPage2</a>
, <a class="el" href="classCManualPage3.html#a9abeecec5af40191e8793695e09518fc">CManualPage3</a>
, <a class="el" href="classCNewMenu.html#a9357704ea0ca19a03fca24f5963d45c2">CNewMenu</a>
, <a class="el" href="classCScoreMenu.html#a5d4ab6433d80e9f012cad06582eada17">CScoreMenu</a>
, <a class="el" href="classCWinner.html#afb6d24277e8573748a8b373cdd45298d">CWinner</a>
</li>
<li>speed()
: <a class="el" href="classCAttacker.html#a84a16391de74e89f0cbba0b134f1cd90">CAttacker</a>
</li>
<li>start()
: <a class="el" href="classCMenuController.html#ae9189a640fae8f31dd48ce1c38eb894d">CMenuController</a>
</li>
<li>symbol()
: <a class="el" href="classCAttacker.html#a7b0fb16fc8285e01ee8f7cedc5343571">CAttacker</a>
</li>
</ul>


<h3><a id="index_0x7e"></a>- ~ -</h3><ul>
<li>~CEntity()
: <a class="el" href="classCEntity.html#a833f1423fd7e0f2096517b100c44db72">CEntity</a>
</li>
<li>~CGame()
: <a class="el" href="classCGame.html#a4db10c09035dc16b32d6c1ef4cca2143">CGame</a>
</li>
<li>~CMap()
: <a class="el" href="classCMap.html#a9419f5696c22e9569612b79db2872e02">CMap</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
